﻿@{ViewData["Title"]="Input Nilai dan Kehadiran";}
<section class="section">
    <div class="section-header">
        <h1>Input Nilai dan Kehadiran</h1>
        <div class="section-header-breadcrumb">
            <div class="breadcrumb-item"><a href="#">Dashboard</a></div>
            <div class="breadcrumb-item"><a href="#">ELearning</a></div>
            <div class="breadcrumb-item active"><a href="#">Input Nilai dan Kehadiran</a></div>
        </div>
    </div>
    <div class="section-body" id="no-data">
        <div id="loading-data" style="text-align: center;">
            <div style="margin-top: 150px;"><i class="fa fa-spinner fa-spin fa-4x"></i></div>
        </div>
        <div id="empty-data" style="text-align: center; display: none;">
            <img src="~/assets/img/ilus-data.png" width="400px" class="img-fluid" />
            <div style="margin-top: -1px;">Ups! <span id="htmlEmptyData">Sepertinya tidak ada data, silahkan tambah baru</span></div> <br />

            <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#ModalPencarian"><i class="fa fa-filter"></i> Filter</button>
        </div>
    </div>
    <div class="section-body" id="data" style="display: none;">
        <div class="card" id="ListData">
            <div class="card-header form-row">
                <h4 class="col-md-7">Daftar Mata Pelajaran</h4>
                <div class="col-md-5 text-right">
                    <button type="button" class="btn btn-primary btn-sm" data-toggle="modal" data-target="#ModalPencarian"><i class="fa fa-filter"></i> Filter</button>
                </div>
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table id="TabelData" class="table table-striped table-bordered table-hover nowrap" style="width: 100%;">
                        <thead>
                            <tr>
                                <th>AKSI</th>
                                <th>JUDUL MATERI</th>
                                <th>KELAS</th>
                                <th>MAPEL</th>
                                <th>TANGGAL</th>
                                <th>HARI</th>
                                <th>JADWAL TATAP MUKA</th>
                            </tr>
                        </thead>
                        <tfoot>
                            <tr>
                                <th>AKSI</th>
                                <th>JUDUL MATERI</th>
                                <th>KELAS</th>
                                <th>MAPEL</th>
                                <th>TANGGAL</th>
                                <th>HARI</th>
                                <th>JADWAL TATAP MUKA</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <div class="section-body" id="JawabanSiswa" style="display: none;">
        <div class="text-left">
            <button class="btn btn-danger btn-sm" id="BtnBack" onclick="Kembali();"><i class="fa fa-arrow-left" aria-hidden="true"></i> Kembali</button>
        </div>
        <br />
        <div class="alert alert-primary alert-has-icon">
            <div class="alert-icon"><i class="far fa-lightbulb"></i></div>
            <div class="alert-body">
                <div class="alert-title" id="htmlMapel">Sedang memuat</div>
                <span id="htmlTanggal">Sedang Memuat</span>.
            </div>
        </div>
        <div class="card">
            <div class="card-header form-row">
                <div class="col-md-4">
                    <h4>Data Jawaban Siswa</h4>
                </div>
                <div class="col-md-8 text-right">
                    <button type="button" class="btn btn-info" id="BtnDownloadTemplateNilai"><i class="fa fa-download"></i> Download Template Nilai</button>
                    <button type="button" class="btn btn-success" id="BtnUploadMassalNilai"><i class="fa fa-upload"></i> Upload Massal Nilai</button>
                </div>
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table id="TabelJawaban" class="table table-striped table-bordered table-hover nowrap" style="width: 100%;">
                        <thead>
                            <tr>
                                <th>AKSI</th>
                                <th>NAMA SISWA</th>
                                <th>KELAS</th>
                                <th>STATUS</th>
                                <th>JAWABAN</th>
                                <th>NILAI</th>
                                <th>MEETING</th>
                            </tr>
                        </thead>
                        <tfoot>
                            <tr>
                                <th>AKSI</th>
                                <th>NAMA SISWA</th>
                                <th>KELAS</th>
                                <th>STATUS</th>
                                <th>JAWABAN</th>
                                <th>NILAI</th>
                                <th>MEETING</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
</section>

<div class="modal fade" id="ModalUploadMassalNilai">
    <div class="modal-dialog modal-md">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Form Upload Nilai Massal</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form id="FormUploadMassalNilai" class="form-horizontal" action="#" enctype="multipart/form-data">
                    <div class="form-group form-row">
                        <label class="col-form-label col-sm-5" style="text-align:left;">Mata Pelajaran:</label>
                        <div class="col-sm-7">
                            <input type="text" class="form-control" name="NamaMapel" readonly />
                        </div>
                    </div>
                    <div class="form-group form-row">
                        <label class="col-form-label col-sm-5" style="text-align:left;">Kelas Paralel:</label>
                        <div class="col-sm-7">
                            <input type="text" class="form-control" name="KelasParalel" readonly />
                        </div>
                    </div>
                    <div class="form-group form-row">
                        <label class="col-form-label col-sm-5" style="text-align:left;">Judul Materi:</label>
                        <div class="col-sm-7">
                            <input type="text" class="form-control" name="JudulMateri" readonly />
                        </div>
                    </div>
                    <div class="form-group form-row">
                        <label class="col-form-label col-sm-5" style="text-align:left;">Upload File:</label>
                        <div class="col-sm-7">
                            <input type="file" class="form-control" name="FileUpload" />
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="form-row">
                            <div class="col-sm-6"><button type="button" data-dismiss="modal" class="btn btn-outline-danger btn-block"><i class="fa fa-repeat"></i> Kembali</button></div>
                            <div class="col-sm-6"><button type="button" id="BtnSaveUploadMassalNilai" class="btn btn-outline-success btn-block"><i class="fa fa-save"></i> Upload Data</button></div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="ModalNilai" role="dialog">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="ModalHeaderFormApproveJawabanSiswa"></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            </div>
            <div class="modal-body">
                <form id="FormApproveJawabanSiswa" action="#" method="POST">
                    <input type="hidden" id="IdKbmMateri" name="IdKbmMateri" /> <input type="hidden" id="IdSiswa" name="IdSiswa" />
                    <div class="form-row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="col-form-label font-weight-bold text-right">Jawaban Siswa</label><br />
                                <div class="row" id="htmlJawaban"></div>
                            </div>
                            <div class="form-check"><input class="form-check-input" type="radio" name="TipeNilai" id="TipeNilai1" value="NilaiAngka" checked /> <label class="form-check-label" for="TipeNilai1"> Nilai Angka </label></div>
                            <div class="form-check"><input class="form-check-input" type="radio" name="TipeNilai" id="TipeNilai2" value="NilaiHuruf" /> <label class="form-check-label" for="TipeNilai2"> Nilai Huruf </label></div>
                            <div class="form-group" id="DivNilaiAngka">
                                <label class="col-form-label font-weight-bold text-right">Nilai Angka</label> <input type="text" class="col-md-12 form-control" name="NilaiAngka" id="NilaiAngka" placeholder="Ketikkan Nilai Angka..." />
                            </div>
                            <div class="form-group" id="DivNilaiHuruf" style="display: none;">
                                <label class="col-form-label font-weight-bold text-right">Nilai Huruf</label> 
                                <select class="form-control" name="NilaiHuruf" id="NilaiHuruf">
                                    <option value="">Pilih Salah Satu</option>
                                    <option value="A">Nilai A</option>
                                    <option value="B">Nilai B</option>
                                    <option value="C">Nilai C</option>
                                    <option value="D">Nilai D</option>
                                </select>
                            </div>
                            @* <div class="form-group" id="DivNilaiHuruf" style="display: none;">
                                <label class="form-label">Nilai Huruf</label>
                                <div class="selectgroup selectgroup-pills">
                                    <label class="selectgroup-item">
                                    <input type="radio" name="NilaiHuruf" value="A" class="selectgroup-input">
                                    <span class="selectgroup-button selectgroup-button-icon">A</span>
                                    </label>
                                    <label class="selectgroup-item">
                                    <input type="radio" name="NilaiHuruf" value="B" class="selectgroup-input">
                                    <span class="selectgroup-button selectgroup-button-icon">B</span>
                                    </label>
                                    <label class="selectgroup-item">
                                    <input type="radio" name="NilaiHuruf" value="C" class="selectgroup-input">
                                    <span class="selectgroup-button selectgroup-button-icon">C</span>
                                    </label>
                                    <label class="selectgroup-item">
                                    <input type="radio" name="NilaiHuruf" value="D" class="selectgroup-input">
                                    <span class="selectgroup-button selectgroup-button-icon">D</span>
                                    </label>
                                </div>
                            </div> *@
                            <div class="form-group">
                                <label class="col-form-label font-weight-bold text-right">Hasil ?</label><br />
                                <input type="radio" name="IsRemedial" id="Tuntas" value="0" /> Tuntas &nbsp;&nbsp; <input type="radio" name="IsRemedial" id="Remedial" value="1" /> Remedial
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="col-form-label font-weight-bold text-right">Catatan Hasil</label> <textarea class="form-control ckeditor-catatan" name="Catatan" id="Catatan" placeholder="Ketikkan Catatan Untuk Siswa..."></textarea>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <button type="button" class="btn btn-success btn-block" id="BtnSaveData" onclick="UpdateNilai();"><i class="fa fa-save"></i> Simpan Data</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="ModalMeeting" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Meeting URL</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            </div>
            <div class="modal-body">
                <form id="FormMeeting" class="form-horizontal" action="#" enctype="multipart/form-data">
                    <input type="hidden" id="IdKbmMateri" name="IdKbmMateri" class="form-control" />
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">Mapel</label>
                        <div class="col-sm-8"><input type="text" id="NamaMapel" name="NamaMapel" class="form-control" placeholder="sedang memuat" readonly /></div>
                    </div>
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">Kelas</label>
                        <div class="col-sm-8"><input type="text" id="KelasParalel" name="KelasParalel" class="form-control" placeholder="sedang memuat" readonly /></div>
                    </div>
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">URL Youtube</label>
                        <div class="col-sm-8"><input type="text" id="NamaUrl" name="NamaUrl" class="form-control" placeholder="https://youtube.com/embed/Hjkhdr" /></div>
                    </div>
                    <hr />
                    <h5>Presensi Tidak Hadir</h5>
                    <div class="form-group row">
                        <div class="col-sm-12">
                            <select class="form-control select2" name="Absensi[]" id="Absensi" style="width: 100%;" multiple>
                            </select>
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer"><button type="button" class="btn btn-dark" data-dismiss="modal">Tutup</button> <button type="button" class="btn btn-primary" id="BtnProses" onclick="UpdateAdbsensi();">Simpan</button></div>
        </div>
    </div>
</div>
<div class="modal fade" id="ModalPencarian" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Pencarian</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            </div>
            <div class="modal-body">
                <form id="FormPencarian" class="form-horizontal" action="#" enctype="multipart/form-data">
                    <input type="hidden" id="IdKbmMateri" name="IdKbmMateri" class="form-control" />
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">Tanggal</label>
                        <div class="col-sm-8"><input type="text" id="TanggalPencarian" name="TanggalPencarian" data-toggle="datepicker-maxtoday" class="form-control" placeholder="dd-mm-yyyy" readonly /></div>
                    </div>
                </form>
            </div>
            <div class="modal-footer"><button type="button" class="btn btn-dark" data-dismiss="modal">Tutup</button> <button type="button" class="btn btn-primary" id="BtnProses" onclick="PencarianMapel();"><i class="fa fa-search"></i> Cari</button></div>
        </div>
    </div>
</div>
<div class="modal fade" id="ModalUploadJawaban" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Upload Jawaban Siswa</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            </div>
            <div class="modal-body">
                <form id="FormUploadJawaban" class="form-horizontal" action="#" enctype="multipart/form-data">
                    <input type="hidden" id="IdKbmMateri" name="IdKbmMateri" class="form-control" /> <input type="hidden" id="IdSiswa" name="IdSiswa" class="form-control" />
                    <div class="form-group">
                        <label class="col-form-label">Upload File</label>
                        <div><input type="file" id="FileJawaban" name="FileJawaban" class="form-control" /> <small>*Jika banyak silahkan di .ZIP</small></div>
                    </div>
                    <div class="form-group">
                        <label class="col-form-label">Catatan</label>
                        <div><textarea class="ckeditor-upload" name="CatatanUpload" id="CatatanUpload" placeholder="Ketikkan Catatan Untuk Siswa..."></textarea></div>
                    </div>
                </form>
            </div>
            <div class="modal-footer"><button type="button" class="btn btn-dark" data-dismiss="modal">Tutup</button> <button type="button" class="btn btn-primary" id="BtnProses" onclick="UploadJawabanSusulan();">Simpan</button></div>
        </div>
    </div>
</div>

<div class="modal fade" id="ModalGambarJawaban" role="dialog">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Lihat Jawaban</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            </div>
            <div class="modal-body" id="GambarJawaban">
                
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-dark" data-dismiss="modal">Tutup</button>
                <span id="BtnUnduh"></span>
            </div>
        </div>
    </div>
</div>
